
Smart Proxy - Bug #13552

Validate DNS names passed to the DNS API

02/03/2016 03:26 PM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: API   

Target version: 1.12.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/400

  

Description

Currently DNS names are not verified and passed on straight to the backends. This may be a security risk if DNS plugins do not

properly validate their input.

Related issues:

Related to Smart Proxy - Bug #13551: Validate IP addresses passed to the DNS API Closed 02/03/2016

Associated revisions

Revision 5d68f49e - 03/24/2016 11:34 AM - Ewoud Kohl van Wijngaarden 

Fixes #13552: Validate DNS names passsed to the DNS API

History

#1 - 02/03/2016 03:26 PM - Ewoud Kohl van Wijngaarden

- Related to Bug #13551: Validate IP addresses passed to the DNS API added

#2 - 03/23/2016 09:42 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/smart-proxy/pull/400 added

#3 - 03/24/2016 12:02 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 5d68f49e911ca55caa64dccab9de51cd4dc46fe3.

#4 - 03/29/2016 04:10 AM - Dominic Cleal

- translation missing: en.field_release set to 136
